Trigger a sync now instead of waiting for the hourly cron (ADMIN+)
POST
/erp-connections/{connectionId}/sync
const url = 'https://api.invogi.com/v1/erp-connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sync';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.invogi.com/v1/erp-connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sync \ --header 'Authorization: Bearer <token>'Queued (202) when a Queue binding is configured, otherwise runs synchronously and returns the completed result (200).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”connectionId
required
string format: uuid
Responses
Section titled “Responses”Sync completed synchronously (no Queue binding)
Media typeapplication/json
object
sync_run_id
required
string format: uuid
status
required
string
vendorsSeen
required
integer
invoicesSeen
required
integer
invoicesImported
required
integer
Example
{ "status": "COMPLETED"}Sync queued
Media typeapplication/json
object
status
required
string
Example
{ "status": "QUEUED"}Missing or invalid API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}API key lacks required scope/role
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}